# EvLoop::__construct

(PECL ev >= 0.2.0)

EvLoop::__construct — Constructs the event loop object

### Description

public EvLoop::__construct ([ int `$flags` [, mixed `$data` = NULL [, float `$io_interval` = 0.0 [, float `$timeout_interval` = 0.0 ]]]] )

Constructs the event loop object.

### Parameters

`flags`

  One of the event loop flags

`data`

  Custom data associated with the loop.

`io_interval`

  See io_interval

`timeout_interval`

  See timeout_interval

### Return Values

Returns new EvLoop object.

### See Also

- EvLoop::defaultLoop() - Returns or creates the default event loop